#include <iostream>
#include <cstdio>
#include <cmath>

using namespace std;

const long double PI = 3.141592653589793238462643383279;

int main()
{
    freopen("superstar.in", "r", stdin);
    freopen("superstar.out", "w", stdout);
    int n; 
    cin >> n;
    long double r = 10;
    long double angle = 2 * PI / n;
    long double len = sqrt(2) * sqrt(1 - cos(angle * 2));
    long double h1 = r * sin(angle * 2) / len;
    long double side = h1 * tan(angle / 2);
    long double ans = n * side * r;
    cout.precision(20);
    cout << fixed << ans << endl; 
}